Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# msgsnd

Perl 5 version 16.0 documentation
Go to top
Show recent pages
Recently read

# msgsnd

Perl functions A-Z | Perl functions by category | The 'perlfunc' manpage

- msgsnd ID,MSG,FLAGS

  Calls the System V IPC function msgsnd to send the message MSG to the message queue ID. MSG must begin with the native long integer message type, be followed by the length of the actual message, and then finally the message itself. This kind of packing can be achieved with `pack("l! a*", $type, $message)` . Returns true if successful, false on error. See also the `IPC::SysV` and `IPC::SysV::Msg` documentation.

  Portability issues: msgsnd in perlport.